Bug 190099 - "vnc" boot option doesn't override "text" in kickstart file
"vnc" boot option doesn't override "text" in kickstart file
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: anaconda (Show other bugs)
4.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Chris Lumens
Mike McLean
:
Depends On:
Blocks: 176344
  Show dependency treegraph
 
Reported: 2006-04-27 11:42 EDT by Bastien Nocera
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version: RHBA-2007-0215
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-05-01 13:22:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bastien Nocera 2006-04-27 11:42:44 EDT
RHEL4 U3

1. Create a kickstart file with the "text" option in there
2. Start your kickstart installation using the "vnc" boot option

From the RHEL3 release notes (where this functionality was added):
"NOTE: If you specify any of the VNC-related boot-time options, they will
override the corresponding options present in the kickstart file."

in kickstart.c:
static void setTextMode(struct loaderData_s * loaderData, int argc,
                       char ** argv, int * flagsPtr) {
   (*flagsPtr) = (*flagsPtr) | LOADER_FLAGS_TEXT;
   return;
}

I think this would need to check for the presence of the LOADER_FLAGS_GRAPHICAL
flag before assigning the LOADER_FLAGS_TEXT flag.
Comment 1 Chris Lumens 2006-06-26 14:20:28 EDT
Committed a fix to Rawhide.  A slightly different fix will be required for
RHEL4, but it shouldn't be too bad.
Comment 2 RHEL Product and Program Management 2006-08-18 12:04:31 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 7 Red Hat Bugzilla 2007-05-01 13:22:27 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2007-0215.html

Note You need to log in before you can comment on or make changes to this bug.